/* BUTTONS */
.button {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  gap: 10px;
  border: none;
  font-family: "Manrope", sans-serif;
  font-weight: 600;
  line-height: 140%;
  font-style: normal;
  transition: all 0.2s ease-in-out;
  cursor: pointer;

  svg path {
    transition: 0.2s ease-in-out;
  }
}

.button--primary {
  padding: 12px 28px;
  border-radius: 18px;
  background: var(--Orange);
  color: var(--Dark-Text);
  font-size: 16px;
  letter-spacing: -0.32px;
}
.button--primary:hover,
.button--primary:active {
  color: var(--White-Text);
  background: #000;

  svg path {
    fill: var(--White-Text);
    transition: 0.2s ease-in-out;
  }
}
.button--primary-light {
  padding: 12px 28px;
  border-radius: 18px;
  background: var(--White);
  color: var(--Dark-Text);
  font-size: 16px;
  letter-spacing: -0.32px;
}
.button--primary-light:hover,
.button--primary-light:active {
  color: var(--White-Text);
  background: #000;
}
.button--secondary {
  padding: 12px 28px;
  border-radius: 12px;
  background: var(--Tag-Bg);
  color: var(--White-Text);
  font-size: 16px;
  letter-spacing: -0.28px;
}
.button--secondary:hover,
.button--secondary:active {
  background: rgba(255, 255, 255, 0.3);
}

.button--white {
  background-color: var(--White);
}
.button--black {
  background-color: var(--Dark-Text);
  border: 1px solid transparent;
}
.button--black:hover {
  color: var(--Dark-Text);
  border:1px solid var(--Dark-Text);
}

.button--default {
  border-radius: 1.125em;
  color: var(--White);
  background: var(--Dark-Bg);
  padding: 1.062em 1.875em;
  font-size: 16px;
}
.button--default:hover {
  background: var(--Orange);
  color: var(--Dark-Text);
}

.button--more {
  letter-spacing: -0.02em;
  color: var(--Grey-Text);
  padding: 5px;
  background-color: transparent;
  outline: none;
  font-size: 16px;
}
.button--more:hover {
  color: var(--Orange);
}
.button--more:after {
  content:'';
  width: 6px;
  height: 6px;
  border-top: 2px solid var(--Orange);
  border-right: 2px solid var(--Orange);
  transform: rotate(135deg);
  margin-top: -0.1em;
  will-change: transform;
  transition: transform .2s;
}
.button--more.is-active:after {
  transform: rotate(-45deg);
  margin-top: 0.1em;
}

.button--nav {
  padding: 0;
  width: 40px;
  height: 40px;
  gap: 10px;
  border-radius: 14px;
  background: var(--Body);
  opacity: 1;
}
.button--nav-light {
  background: var(--White);
}
@media (min-width: 769px) {
  .button--nav:hover,
  .button--nav:active {
    opacity: 0.6;
  }
}

/* Actions BUTTON */

.action-btn{
  display: flex;
  align-items: center;
  background: var(--White);
  border-radius: 14px;
  padding: 10px;
  height: 40px;
  width: 40px;
  min-height: 40px;
  min-width: 40px;
  cursor: pointer;
}
.action-btn--dark {
  background: var(--DarkLight-Text);
  color: var(--White);
}
.action-btn--dark svg path {
  fill: var(--White);
}
.action-btn--dark:hover {
  color: var(--Dark-Text);
}
.action-btn--dark:hover svg path,
.block_link:hover .action-btn--dark svg path{
  fill: var(--Dark-Text);
}
.zoom-btn{
  position: absolute;
  z-index: 2;
  opacity: 0;
  transition: all 0.2s ease;
}
 .zoom-btn:hover{
  background-color: var(--Dark-Bg);
 }
.zoom-btn:hover svg path{
  fill: var(--White);
}
.discover-btn {
  position: absolute;
  top: 16px;
  right: 16px;
  transition: background-color 0.2s ease;
}
.action-btn--static{
  position: static;
}
.discover-btn:hover,
.block_link:hover .discover-btn{
  background-color: var(--Orange);
  gap: 8px;
  min-width: fit-content;
}
.discover-btn svg {
  width: 20px;
  height: 20px;
  flex-shrink: 0;
  transition: transform 0.2s ease;
}
.discover-btn:hover svg,
.block_link:hover .discover-btn svg{
  transform: rotate(45deg);
}
a.discover-btn:hover {
  text-decoration: none;
}
.discover-btn span {
  display: block;
  overflow: hidden;
  max-width: 0;
  opacity: 0;
  transform: translateX(10px);
  white-space: nowrap;
  font-size: 14px;
  font-weight: 700;
  color: var(--Dark-Text);
  font-family: "Manrope", sans-serif;
  line-height: 140%;
  letter-spacing: -0.28px;
  transition: max-width 0.2s ease, opacity 0.2s ease, transform 0.2s ease;
}
.discover-btn:hover span,
.block_link:hover .discover-btn span{
  padding-left: 8px;
}
.discover-btn:hover span,
.block_link:hover .discover-btn span{
  max-width: 200px;
  opacity: 1;
  transform: translateX(0);
}
.discover-btn--static {
  position: static;
}
/* .discover-btn--dark {
  background: var(--Dark-Bg);
  color: var(--White-Text);
}
.discover-btn--dark svg path {
  fill: var(--White-Text);
} */

.discover-btn.discover-btn--dark-orange{
  background-color: var(--Dark-Bg);
}
.discover-btn.discover-btn--dark-orange svg path {
  fill: var(--White-Text);
}

.discover-btn.discover-btn--dark-orange:hover{
  background: var(--Orange);
  color: var(--Dark-Text);
}
.discover-btn.discover-btn--dark-orange:hover svg path,
.filters-pdp-more-solutions-section-wrapper a.card-item:hover .discover-btn svg path{
  fill: var(--Dark-Text);

}



.discover-btn.discover-btn--dark:hover {
  background-color: var(--Dark-Bg);
  gap: 8px;
  min-width: fit-content;
}
.discover-btn.discover-btn--dark:hover span {
  color: var(--White-Text);
}

.discover-btn.discover-btn--dark:hover svg path {
  fill: var(--White-Text);
}

/* TAGS */
.tag {
  display: flex;
  height: 32px;
  width: fit-content;
  min-width: max-content;
  padding: 8px 16px;
  justify-content: center;
  align-items: center;
  gap: 8px;
  border-radius: 12px;
  background: var(--Tag-Bg);
  color: var(--White-Text);
  text-align: center;
  font-family: "Manrope", sans-serif;
  font-size: 12px;
  font-style: normal;
  font-weight: 700;
  line-height: 100%;
  text-transform: uppercase;
  transition: all 0.2s ease-in-out;
}
.tag--dark {
  background: var(--Dark-Bg);
}
.tag--light {
  color: var(--Dark-Text);
  background: var(--Beige-Bg);
}
.tag--extralight {
  color: var(--Dark-Text);
  background: var(--Body);
}
.tag--orange {
  color: var(--Dark-Text);
  background: var(--Orange);
}
.tag--outline {
  color: var(--DarkLight-Text);
  background: transparent;
  border: 1px solid var(--LightGrey-Stroke);
}
.tag--outline-dark {
  color: var(--DarkLight-Text);
  background: transparent;
  border: 1px solid var(--LightDark-Stroke);
}
.tag--outline-light {
  background: transparent;
  border: 1px solid var(--Dark-Stroke);
}

/* DIVIDERS */
.divider {
  width: 1px;
  height: 100%;
  background: var(--LightDark-Stroke);
}
.divider--horizontal {
  width: 100%;
  height: 1px;
}

/* LINKS */
a {
  color: inherit;
  text-decoration: inherit;
  transition: all 0.2s;
}

/* INPUTS */
textarea {
  resize: none !important;
}
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
input[type="number"] {
  -moz-appearance: textfield;
}

/* DROPDOWNS */

/* ACCORDIONS */
.accordion {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  align-self: stretch;
  border-radius: 32px;
  background: var(--BeigeMedium-Bg);
  overflow: hidden;
}
.accordion__button {
  padding: 24px 24px 24px 32px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 32px;
  align-self: stretch;
  border: none;
  background: var(--BeigeMedium-Bg);
  cursor: pointer;
  text-align: left;
}
.accordion__thumb {
  display: flex;
  justify-content: center;
  align-items: center;
  transition: background-color 0.2s ease-in-out;
}
.accordion__thumb svg {
  transition: transform 0.2s ease-in-out;
}
.accordion__thumb path {
  transition: fill 0.2s ease-in-out;
}
.accordion--opened .accordion__thumb {
  background-color: var(--Dark-Bg);
}
.accordion--opened .accordion__thumb svg {
  transform: rotate(180deg);
}
.accordion--opened .accordion__thumb path {
  fill: var(--White);
}
.accordion__content {
  overflow: hidden;
  max-height: 0;
  opacity: 0;
  align-self: stretch;
  transition: all 0.2s ease-in-out;
}
.accordion--opened .accordion__content {
  max-height: 9999px;
  opacity: 1;
}

/* NAVIGATION_PANNEL styles */
.navigation-anchor {
  height: 50px;
  visibility: hidden;
}
.navigation-wrapper {
  position: relative;
  margin: -6px 80px 0;
  display: block;
  height: 56px;
}
.navigation-wrapper.sticky {
  position: sticky;
  width: 100%;
  margin: 0;
  /* top: calc(100vh - 56px); */
  top: 64px;
  z-index: 1000;
}
.navigation-pannel {
  margin: 0 auto;
  height: 100%;
  max-width: 1280px;
  /* max-width: fit-content; */
  padding: 18px 25px;
  display: flex;
  align-items: center;
  gap: 25px;
  border-radius: 18px;
  background: var(--Beige-Bg);
  transition: all 0.2s ease-in-out;
  overflow: auto;
  scrollbar-width: none;
}
.navigation-pannel::-webkit-scrollbar {
  display: none;
}
.navigation-pannel.full-width {
  max-width: unset;
  border-radius: 0;
}
.navigation-pannel__nav-item {
  position: relative;
  text-decoration: none;
  min-width: fit-content;
}
.navigation-pannel__nav-item::before {
  content: "";
  position: absolute;
  width: 5px;
  height: 5px;
  border-radius: 50%;
  background: var(--Orange);
  bottom: -5px;
  left: 50%;
  transform: translateX(-50%);
  opacity: 0;
  transition: all 0.2s ease-in-out;
}
.navigation-pannel__nav-item:hover,
.navigation-pannel__nav-item.active {
  color: var(--Dark-Text);
}
.navigation-pannel__nav-item:hover::before,
.navigation-pannel__nav-item.active::before {
  opacity: 1;
}

/* SLIDERS & SWIPERS */
.controls-box {
  display: flex;
  align-items: center;
  gap: 8px;
}
.slider-wrapper {
  display: flex;
  flex-direction: column;
  gap: 32px;
  align-self: stretch;
}
.slider-heading {
  display: flex;
  justify-content: space-between;
  align-items: center;
  align-self: stretch;
  flex-wrap: wrap;
  gap: 24px;
}
.slider-heading__tag-box,
.slider-heading__title-box {
  display: flex;
  align-items: center;
  column-gap: 20px;
  row-gap: 16px;
}

.slider-heading__tag-box{
  width: 100%;
  justify-content: space-between;
}

.swiper-button-disabled {
  opacity: .25;
  pointer-events: none;
}

/* PROGRESS BARS */
.progress-bar {
  position: relative;
  width: 4px;
  min-width: 4px;
  align-self: stretch;
  background: var(--Orange);
  opacity: 0;
  transition: opacity 0.6s ease-in-out;
}
.progress-bar__thumb {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 0%;
  background: var(--Orange);
}

/* image */
.image {
  width: 100%;
  height: auto;
  object-fit: cover;
  border-radius: 32px;
}
.image--bright {
  filter: brightness(0.8);
}

.parallax-wrap{
  position: relative;
  overflow: hidden;
  border-radius: 32px;
}
.image-paralax{
  /* width: 100%;
  height: 100%;
  object-fit: cover;
  transform: scale(1.2); */
}
/* CARD  */

.card-box {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 16px;
  align-self: stretch;
}
.card-item {
  padding: 28px;
  display: flex;
  gap: 28px;
  border-radius: 28px;
  background: var(--BeigeMedium-Bg);
  overflow: hidden;
}
.card-item--light {
  background: var(--White);
}
.card-item--body {
  background: var(--Body);
}
.card-item--dark {
  background: var(--Dark-Bg);
  color: var(--White-Text);
}
.card-item--spanned {
  grid-column: span 2;
}
.card-item--no-padding {
  padding: 0;
}
.card-item__content {
  flex: 1;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 32px;
}
.card-item__heading {
  display: flex;
  flex-direction: column;
  gap: 12px;
  align-self: stretch;
}
.card-item__text-list {
  margin: 0;
  padding-left: 13px;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 8px;
  align-self: stretch;
}

.card-item-tag {
  display: flex;
  width: 100%;
  flex-direction: column-reverse;
  gap: 16px;
}

/* FORM  */
 .field{
    display:flex;
    flex-direction:column;
    gap:8px;
  }
 .field:not(:last-child){
    margin-bottom:20px;
 }

.form-actions {
  margin-top: 18px;
}
 .form-actions button {
  width: 100%;
}
.form-actions p {
  text-align: center;
  margin-top: 16px;
}
.form-actions p a {
  text-decoration-line: underline;
}
.form-actions p a:hover {
  text-decoration: none;
}

  .input,
  .select,
  .textarea{
    width:100%;
    padding:15px 24px;
    background:var(--Input-bg);
    outline:none;
    border: unset;
    border-radius: 12px;
  }
   .input::placeholder,
  .select::placeholder,
  .textarea::placeholder{
    color: var(--LightGrey-Text);
  }
  /* custom select chevron */
  .select{
    appearance:none;
    background-image:
      linear-gradient( to bottom, transparent, transparent ),
      url('data:image/svg+xml;utf8,<svg width="14" height="9" viewBox="0 0 14 9" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M7 8.96634L0 1.96634L1.63333 0.333008L7 5.69967L12.3667 0.333008L14 1.96634L7 8.96634Z" fill="%23A9A9A9" /></svg>');
    background-repeat:no-repeat;
    background-position: right 30px center;
    background-size:14px 9px;
    padding:18px 48px 18px 24px;

  }
  .size-sm {
    padding-top: 11px;
    padding-bottom: 11px;
  }
  /* custom checkbox */
  .rc-check{
    appearance:none;
    width:18px;
    height:18px;
    border:2px solid var(--Checkbox-border);
    border-radius:2px;
    background:var(--White);
    display:grid;
    place-items:center;
    cursor:pointer;
    transition:all .12s ease;
    margin: 3px;
  }
  .rc-check:checked{
    border-color:var(--Orange);
    background:var(--Orange);
  }
  .rc-check:checked::after{
    content:"";
    width:10px;
    height:10px;
    background:url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='12' height='10' viewBox='0 0 12 10' fill='none' stroke='white' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'><polyline points='1 5.5 4.5 9 11 1'/></svg>") center/contain no-repeat;
  }

@media (max-width: 1024px) {
  .card-box {
    grid-template-columns: repeat(2, 1fr);
  }
}
@media (max-width: 768px) {
  .navigation-wrapper.sticky{
    /* top: calc(100vh - 76px); */
    top: 77px;

  }
  .navigation-wrapper.sticky .navigation-pannel{
    margin: 20px;
    border-radius: 18px;
  }
  .button--primary, .button--primary-light {
    padding: 8px 24px;
    border-radius: 12px;
    font-size: 14px;
    letter-spacing: -0.28px;
  }
  .button--default {
    font-size: 14px;
  }
  .navigation-wrapper {
    margin: 0 20px 0;
  }
  .navigation-pannel {
    justify-content: flex-start !important;
  }
  .slider-heading__title-box {
    flex-direction: column-reverse;
    align-items: flex-start;
  }
  .card-box {
    grid-template-columns: repeat(1, 1fr);
  }
  .card-item--spanned {
    grid-column: 1;
    flex-direction: column;
  }
  .card-item .divider {
    width: 100%;
    height: 1px;
  }
}


/* navigation-wrapper_v2 */
.navigation-wrapper_v2 {
    margin: 0;
}
@media (min-width: 992px) {
  .navigation-wrapper_v2 {
    height: auto;
    position: sticky;
    top: 70px;
  }
  .navigation-wrapper_v2 .navigation-pannel {
    flex-direction: column;
    gap: 24px;
    align-items: flex-start;
    padding: 24px 32px;
  }
  .navigation-wrapper_v2 .navigation-pannel__nav-item::before {
    left: -17px;
    top: 50%;
    transform: translateY(-50%);
  }
}

@media (max-width: 991px) {
  .navigation-wrapper_v2 .navigation-pannel {
    z-index: 99;
    justify-content: flex-start;
  }
}
